NAME
notify - notify user of the arrival of new mail

SYNOPSIS
notify -y [ -m mailfile ]
notify [ -n ]

DESCRIPTION

When a new mail message arrives, the mail command first checks if the recipient's mailbox indicates that the message is to be forwarded elsewhere (to some other recipient or as the input to some command). notify is used to set up forwarding on the user's mailbox so that the new message is saved into an alternative mailbox and, if the user is currently logged in, he or she is notified immediately of the arrival of new mail.

Command-line options are:

-m mailfile
    File to save mail messages into while automatic notification is activated. If not specified, it defaults to $HOME/.mailfile.
-n  Remove mail notification facility
-y  Install mail notification facility

If invoked with no arguments, notify reports whether automatic mail notification is activated or not.

The notification is done by looking in /etc/utmp to determine if the recipient is currently logged in, and if so, on which terminal device. Then the terminal device is opened for writing and the user is notified about the new message. The notification will indicate who the message is from. If the message contains a Subject: header line it will be included. (For security, all unprintable characters within the header will be converted to an exclamation point.)

If the user is logged in multiple times he or she will get multiple notifications, one per terminal. To disable notifications to a particular login session, the mesg(1) command can be used to disable writing to that terminal.

If there are multiple machines connected together via RFS or NFS, notify will look up the /etc/utmp files on the other systems as well. To do this, the file /etc/mail/notify.sys will be consulted, which will contain two columns, the first being the name of a system and the second being a path to find the root filesystem for that machine.

If notify has troubles delivering the mail to the specified mailfile, notify will look up the directory of the mailfile in /etc/mail/notify.fsys. If the file's directory is found in the first column of the file, the mail will be forwarded to the system listed in the second column instead of being returned to the sender.

FILES
/tmp/notif*
    temporary file
/var/mail/*
    users' standard mailboxes
/usr/lib/mail/notify2
    program that performs the notification
/etc/mail/notify.fsys
    list of file systems and home systems
/etc/mail/notify.sys
    list of machines and paths to their root filesystems
/etc/utmp
    list of users who are logged in

SEE ALSO
mail(1), mesg(1).
User's Guide.

NOTES
Because notify uses the ``Forward to |command'' facility of mail to implement notifications, /var/mail/username should not be specified as the place to put newly arrived messages via the -m invocation option. The mail command uses /var/mail/username to hold either mail messages, or indications of mail forwarding, but not both simultaneously.

If the user is using layers(1), the notification will only appear in the login window.